org.gradle.nativebinaries

## Interface StaticLibraryBinary

- All Superinterfaces:
    Binary, Buildable, BuildableModelElement, LibraryBinary, LibraryResolver, Named, NativeBinary

      @Incubating
      public interface StaticLibraryBinary
      extends LibraryBinary

  A `Library` that has been compiled and archived into a static library.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tool` | `getStaticLibArchiver()` The static archiver settings used for creating this binary.

    - ### Methods inherited from interface org.gradle.nativebinaries.LibraryBinary

      `getComponent`

    - ### Methods inherited from interface org.gradle.nativebinaries.NativeBinary

      `getBuildType, getFlavor, getLibs, getLinker, getOutputFile, getSource, getTargetPlatform, getTasks, getToolChain, isBuildable, lib, setOutputFile, source`

    - ### Methods inherited from interface org.gradle.language.base.BuildableModelElement

      `builtBy, setLifecycleTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.nativebinaries.LibraryResolver

      `resolve`

- - ### Method Detail

    - #### getStaticLibArchiver

          Tool getStaticLibArchiver()

      The static archiver settings used for creating this binary.